Public Member Functions | Data Fields

# SignalStateCondition Class Reference
[Programmable Signals.]

A condition which is based upon the state of another signal. More...

`#include <programmable_signals.h>`

Inheritance diagram for SignalStateCondition:

## Public Member Functions
| SignalStateCondition (SignalReference this_sig, TileIndex sig_tile, Trackdir sig_track)
void | SetSignal (TileIndex tile, Trackdir track)
bool | IsSignalValid ()
void | Invalidate ()
virtual bool | Evaluate (SignalVM &vm)
## Data Fields
SignalReference | this_sig
TileIndex | sig_tile
Trackdir | sig_track
SignalState | state

## Detailed Description

A condition which is based upon the state of another signal.

Definition at line 207 of file programmable_signals.h.

The documentation for this class was generated from the following files:

- src/programmable_signals.h
- src/programmable_signals.cpp